Skip to main content
Version: 2025-05-27

Create a project

This guide will walk you through creating a project using the Create project endpoint. You will need your Project Manager ID, which can be found in your API Starter Kit, to complete this step.

API endpoint​

POST /v1/demand/accounts/{account_id}/projects

Path parameters​

The following parameter must be included in the URL:

  • account_id: Your unique account identifier.
    • Example: 12345

Request headers​

The headers required:

HeaderDescriptionExample
AuthorizationYour JWT token, prefixed with Bearer.Bearer eyJhbGc...
Cint-API-VersionThe API version you're targeting.2025-05-27

For more information on these headers, see:

Request body​

The expected body format is JSON. It should contain the following properties:

PropertyDescriptionExample
nameA unique, human-readable identifier for your project. This name will be displayed in the Cint platform. Possible values: >= 5 characters and <= 128 characters"My First Project"
project_manager_idYour unique user identifier within the Cint system. This ID is provided by your Integrations Consultant.1234...abcd

Example request body​

{
"name": "My first project",
"project_manager_id": "<YOUR_PROJECT_MANAGER_ID>",
}

Example request​

curl -X POST \
'https://api.cint.com/v1/demand/accounts/{account_id}/projects' \
-H 'Content-Type: application/json' \
-H 'idempotency-key: 70E8F9C9-49B2-4BC4-91C3-EA758A797001' \
-H 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
-H 'Cint-API-Version: 2025-05-27' \
-d '{
"name": "My first project",
"project_manager_id": "ABEE7579-5914-42EF-B6F0-AFF5D1E08C1F",
}'

Example response​

A successful request returns an 202 Accepted status code and a JSON object containing the new project's ID.

{
"id": "01JX2KPG5VEBF8498Z8YTTE8TB"
}
FieldTypeDescription
idstringThe unique identifier for the newly created project. You'll use this ID for subsequent API calls, like creating target groups.

Error responses​

If the request fails, the API will return an appropriate 4xx status code and a JSON error object.

Example error response if the project_manager_id is incorrect and name property is missing:

{
"object": "bad_request_error",
"detail": "request had validation errors",
"invalid_params": [
{
"name": "Name",
"reason": "'Name' must not be empty."
},
{
"name": "ProjectManagerId",
"reason": "7721f388-ab90-43bde-92c0-e026e8387794 is not a valid UUID"
}
]
}

Congratulations!​

You have successfully created your first project.

Next steps​

Now that you have your first project, let's create your first target group.